# TODO: rebuild, added nikto dep
%define _prefix /usr


Summary: The Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-server
Version: 2.0.0.beta2
Release: 3.art
Source0: %{name}-%{version}.tar.gz
License: GNU GPLv2
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager:       Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
BuildRequires: openvas-libnasl-devel
AutoReqProv: no
AutoReq: 0

#ART
BuildRequires: openvas-libnasl >= %{version} openvas-libraries  >= %{version} openvas-libraries-devel >= %{version}
BuildRequires: flex glib2-devel
BuildRequires: automake  libtool 


Requires: openvas-libnasl >= %{version} openvas-libraries  >= %{version}
Requires: gpgme 
Requires: strobe nmap pnscan openldap-clients ovaldi amap net-snmp-utils
Requires: hydra ike-scan nikto
# TODO- PortBunny is a kernel module port scanner. Lots of work.
# Requires: PortBunny
 
%if 0%{?el3}%{?el4}%{?fc4}
BuildRequires: libpcap libgcrypt-devel gnutls-devel gpgme gpgme-devel
%else
BuildRequires: libpcap-devel libgcrypt-devel gnutls-devel gpgme gpgme-devel
%endif 


%package devel
Summary: Development files for openvas-server
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
openvas-server is the acutal server component
of the Network Vulnerabilty Scanner suite OpenVAS.

%description devel
This package contains the development files (mainly C header files)
for openvas-server.

%prep
%setup -b 0

%build
%{__aclocal}
%{__libtoolize} --force
%configure \
	--prefix=%{_prefix}

%{__make}  %{?_smp_mflags}


%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING
%{_mandir}/man?/*
%{_bindir}/openvas-mkrand
%{_bindir}/openvas-mkcert-client
%{_sbindir}/*
%{_localstatedir}/lib/openvas/*
%{_localstatedir}/log/openvas
# Huh?
#%{_sharedstatedir}/openvas/*
%{_sysconfdir}/openvas/gnupg

%files devel
%defattr(-,root,root,-)
%{_includedir}/openvas/*
%{_bindir}/openvasd-config

%changelog
* Mon Nov 17 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Added Requires for port scanners, ovaldi, and ldapclient
- Added Requires for hydra
- Update to beta2

* Fri Nov 7 2008 Scott R. Shinn <scott@atomicrocketturtle.com>
- Update to 2.0.0.beta1
- Import into ART

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun changed to apply ldconfig directly instead of using
    a (SUSE specific?) scriplet.
* Wed Apr 16 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial OpenSUSE 10.2 spec file, tested for i586
